Games
Publish coordinated release
Deploy the named ready draft targets; omit targets to select every configured target.
POST
cURL
Authorizations
Headers
Path Parameters
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Deploy the named ready draft targets; omit targets to select every configured target.
curl --request POST \
--url https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--data '
{
"replaceTargets": false,
"targets": []
}
'import requests
url = "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish"
payload = {
"replaceTargets": False,
"targets": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({replaceTargets: false, targets: []})
};
fetch('https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'replaceTargets' => false,
'targets' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish"
payload := strings.NewReader("{\n \"replaceTargets\": false,\n \"targets\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish")
.header("Idempotency-Key", "<idempotency-key>")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"replaceTargets\": false,\n \"targets\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"replaceTargets\": false,\n \"targets\": []\n}"
response = http.request(request)
puts response.read_body{
"releaseId": "<string>",
"operationId": "<string>",
"state": "pending",
"targets": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}Accepted immutable intent.
curl --request POST \
--url https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--data '
{
"replaceTargets": false,
"targets": []
}
'import requests
url = "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish"
payload = {
"replaceTargets": False,
"targets": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({replaceTargets: false, targets: []})
};
fetch('https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'replaceTargets' => false,
'targets' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish"
payload := strings.NewReader("{\n \"replaceTargets\": false,\n \"targets\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish")
.header("Idempotency-Key", "<idempotency-key>")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"replaceTargets\": false,\n \"targets\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/release-drafts/{draftId}:publish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"replaceTargets\": false,\n \"targets\": []\n}"
response = http.request(request)
puts response.read_body{
"releaseId": "<string>",
"operationId": "<string>",
"state": "pending",
"targets": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}